---
apiVersion: vinyl.solidite.fr/v1beta1
kind: Component
category: virt
metadata:
  name: bridges
  description: Bridge CNI plugin and associated devices marker
options:
  cni:
    default:
      bin_dir: /opt/cni/bin
    examples:
    - bin_dir: /opt/cni/bin
    properties:
      bin_dir:
        default: /opt/cni/bin
        description: use /var/lib/rancher/k3s/data/current/bin for k3s
        type: string
    type: object
  images:
    default:
      marker:
        pull_policy: IfNotPresent
        registry: quay.io
        repository: kubevirt/bridge-marker
        tag: 0.11.1
      plugin:
        pull_policy: IfNotPresent
        registry: quay.io
        repository: kubevirt/cni-default-plugins
        tag: v1.4.0
    examples:
    - marker:
        pull_policy: IfNotPresent
        registry: quay.io
        repository: kubevirt/bridge-marker
        tag: 0.11.1
      plugin:
        pull_policy: IfNotPresent
        registry: quay.io
        repository: kubevirt/cni-default-plugins
        tag: v1.4.0
    properties:
      marker:
        default:
          pull_policy: IfNotPresent
          registry: quay.io
          repository: kubevirt/bridge-marker
          tag: 0.11.1
        properties:
          pull_policy:
            default: IfNotPresent
            enum:
            - Always
            - Never
            - IfNotPresent
            type: string
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/bridge-marker
            type: string
          tag:
            default: 0.11.1
            type: string
        type: object
      plugin:
        default:
          pull_policy: IfNotPresent
          registry: quay.io
          repository: kubevirt/cni-default-plugins
          tag: v1.4.0
        properties:
          pull_policy:
            default: IfNotPresent
            enum:
            - Always
            - Never
            - IfNotPresent
            type: string
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/cni-default-plugins
            type: string
          tag:
            default: v1.4.0
            type: string
        type: object
    type: object
dependencies: []
providers:
  kubernetes: true
  authentik: null
  kubectl: true
  postgresql: null
  mysql: null
  restapi: null
  http: null
  gitea: null
tfaddtype: null
